function PROC_SSDBNewFeatureTestAlone(DataTemplate, VarName, OutputDir,nIter);

 if(nargin < 4)
  nIter = 100;
 end
 
 HelpTextInfo = 'PROC_SSDBNewFeatureTest';
% Testing the feature 
 here = pwd;
 cd /cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector                                 
 Root =  '/cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector';
 if(not(exist(fullfile([Root,'/RocsPlus'],OutputDir))))
   mkdir([Root,'/RocsPlus'],OutputDir);
 end
 names = {'car','pedestrian','bicycle'};
 seedrand;
 for iter = randperm(nIter)
 for iObjType = randperm(3)
  on = names{iObjType};
  objidx = iObjType;
  opts.sPARAMS.R = 0;
  opts.sPARAMS.T = 0;
  opts.sPARAMS.Nrounds = 150;
  opts.bRandsplit = 1;
  opts.RandSeed = iter;
  if(iscell(DataTemplate))
    for j = 1:length(DataTemplate)
      Template{j} = sprintf(DataTemplate{j},on);
    end
  else
    Template{1} = sprintf(DataTemplate,on);
  end
  opts.featuresubset{1} = [];
  % if(iscell(DataTemplate))
  %  for j= 1:length(DataTemplate)
  %     opts.featuresubset{j} = [];
  %  end
  % else
  %   opts.featuresubset{1} = []; 
  % end
  if(iscell(VarName))
    for j = 1:length(VarName)
      varn{j} = sprintf(VarName{j},on);
    end
  else
    varn{1} = VarName;
  end
  savename = sprintf('RocsPlus/%s/NewFeature_%s_%.3d.mat',OutputDir,on,iter);
  fprintf('%s %d\n',on,iter);
  if(not(exist(savename)))
    [yel, ye, ROC, Model] = GetShapeBasedROCPerformance(Root, Template, varn, objidx, opts);
    save(savename,'ROC','HelpTextInfo');
  end
  Template{1} = sprintf('Triggs_%s_f*.mat',on);
 end 
end
cd(here); 
